- Qt 5.5
- Qt3D Module
- QML Types
- OpenGLFilter QML Type
- Qt 5.5.1 Reference Documentation

# OpenGLFilter QML Type

For OpenGL ... More...

Import Statement: | import Qt3D.Renderer 2.0
Since: | Qt 5.5
Instantiates: | QOpenGLFilter

- List of all members, including inherited members

## Properties

- api : enumeration
- extensions : stringlist
- majorVersion : int
- minorVersion : int
- profile : enumeration
- vendor : string

## Detailed Description

## Property Documentation

api : enumeration

Constant | Description
--- | ---
`ES` | QSurfaceFormat::OpenGLES
`Desktop` | QSurfaceFormat::OpenGL

extensions : stringlist

majorVersion : int

minorVersion : int

profile : enumeration

Constant | Description
--- | ---
`None` | QSurfaceFormat::NoProfile
`Core` | QSurfaceFormat::CoreProfile
`Compatibility` | QSurfaceFormat::CompatibilityProfile

vendor : string